package optics.light;

import basics.math.algebra.Vector;

public class Directional extends LightSource {

    private Vector orientation;

    public Directional(Color color, Vector orientation) {
        super(color);
        this.orientation = orientation;
    }

    public Vector getOrientation() {
        return orientation;
    }

    @Override
    public Vector getDirection(Vector point) {
        return orientation;
    }

    @Override
    public double getDistance(Vector point) {
        return Double.POSITIVE_INFINITY;
    }
}
